#!/bin/sh
#set -x
source /etc/conf.d/vdr
OVERLAY_PARMS=""

if [ "$ACTIVY_OVERLAY" = "Aus" ] || [ "$1" = "" -o "$1" = "0" ] ; then
   for i in $(ps x | grep "$0 1" | grep -v "grep" | cut -b 1-6) ; do
      echo "Killing $i"
      kill $i
   done
   tvia_overlay --off
else
   # Wait for X (freevo) if not already started
   if [ "$(sh /_config/bin/getXVT.sh -a)" = "" ] ; then
      # Wait for x
      for i in $(seq 1 60) ; do
         sleep 1
         if [ "$(sh /_config/bin/getXVT.sh -a)" != "" ] ; then
            # Wait for freevo
            for i in $(seq 1 15) ; do
               sleep 1
               if [ $(pidof python | wc -w) -gt 2 ] ; then
                  break
               fi  
	    done   
	    break
         fi	 
      done
   fi      
   # Wait for vdr if not already started
   if [ "$(pidof vdr)" = "" ] ; then
      # Wait for vdr
      for i in $(seq 1 120) ; do
         sleep 1
         if [ "$(pidof vdr)" != "" ] ; then
	    sleep 10
	    break
         fi	 
      done
   fi      
   if [ "$ACTIVY_OVERLAY" = "BOBMODE" ] ; then
      OVERLAY_PARMS="-b $OVERLAY_PARMS"
   elif [ "$ACTIVY_OVERLAY" = "LCD" ] ; then
      OVERLAY_PARMS="-d $OVERLAY_PARMS"
   fi        
   tvia_overlay $OVERLAY_PARMS
fi
